Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	GNU tar is an archiving program
Name:      	tar
Version:   	1.22
Release:   	2
Provides:	tar
License: 	GNU/GPL
URL:		ftp://ftp.gnu.org
Group:     	Archiving/Compression
Source0: 	tar-%{version}.tar.gz
Source200:	tar.1
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prereq(post,preun): /sbin/install-info
#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
GNU tar is an archiving program

%post
/sbin/install-info %_infodir/tar.info.gz %_infodir/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %_infodir/tar.info.gz %_infodir/dir
fi


%prep
%setup -n tar-%{version}

%build
./configure --prefix=%_prefix --libexecdir=%_sbindir --bindir=%_bindir \
     --infodir=%_infodir --mandir=%_mandir --disable-debug
make

%install
rm -rf %{buildroot}
make install-strip DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/usr/share/info/dir
mkdir -p %{buildroot}%_mandir/man1
install -m 644 %{SOURCE200} %{buildroot}%_mandir/man1/
gzip -9 %{buildroot}%_mandir/man1/*

mkdir -p %{buildroot}/bin
ln -sf /usr/bin/tar %{buildroot}/bin/tar

%files
%defattr(-,root,root)
/bin/tar
%_bindir
%_sbindir
%_infodir
%_datadir/locale
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 03 2009 Christian Metzen <metzench@ccux-linux.de> 1.22-2
- added symlink in /bin
* Sat Mar 07 2009 Christian Metzen <metzench@ccux-linux.de> 1.22-1
- Version update
* Sun Dec 28 2008 Christian Metzen <metzench@ccux-linux.de> 1.21-1
- Version update
* Wed Apr 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.20-1
- Version update
* Thu Sep 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.19-1
- Version update
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.18-2
- fixed %post-scriplet
* Fri Aug 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.18-1
- Version update
* Mon Dec 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.16.1-1
- Version update
* Fri Nov 24 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.16-1
- Version update
* Fri Nov 17 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.15.91-2
- added man page for tar
* Fri Aug 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.15.91-1
- Version update 
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.15.1-2
- Added Patch, fixed Bug number #0000081
* Fri Dec 31 2004 Christian Metzen <metzench@ccux-linux.de> 1.15.1-1
- Update to Version 1.15.1
